### Hierarchy

- Node

### Implements

- INode

## Index

### Constructors

- constructor

### Properties

- node

### Methods

- addAttributes
- addClasses
- addDataAttributes
- appendChild
- containsClass
- find
- findAll
- getAttribute
- getChildWithId
- getParentByClass
- innerText
- onClick
- parent
- removeAttributes
- removeChild
- removeClasses
- setId
- setName
- setRequired
- setStyle
- toggle
- toggleClass
- unwrap

## Constructors

### constructor

- new Node(node: HTMLElement): Node

- - Defined in lib/support/node.ts:112

  #### Parameters

  - ##### node: HTMLElement

  #### Returns Node

## Properties

### Private node

node: HTMLElement

- Defined in lib/support/node.ts:112

## Methods

### addAttributes

- addAttributes(map: __type): INode

- Implementation of INode.addAttributes

  - Defined in lib/support/node.ts:118

  #### Parameters

  - ##### map: __type

  #### Returns INode

### addClasses

- addClasses(classes: string[]): INode

- Implementation of INode.addClasses

  - Defined in lib/support/node.ts:147

  #### Parameters

  - ##### Rest classes: string[]

  #### Returns INode

### addDataAttributes

- addDataAttributes(map: __type): INode

- Implementation of INode.addDataAttributes

  - Defined in lib/support/node.ts:127

  #### Parameters

  - ##### map: __type

  #### Returns INode

### appendChild

- appendChild(node: Node | string): INode

- - Defined in lib/support/node.ts:161

  #### Parameters

  - ##### node: Node | string

  #### Returns INode

### containsClass

- containsClass(className: string): boolean

- Implementation of INode.containsClass

  - Defined in lib/support/node.ts:157

  #### Parameters

  - ##### className: string

  #### Returns boolean

### find

- find(selector: string): INode

- Implementation of INode.find

  - Defined in lib/support/node.ts:198

  #### Parameters

  - ##### selector: string

  #### Returns INode

### findAll

- findAll(selector: string): Array<INode>

- Implementation of INode.findAll

  - Defined in lib/support/node.ts:202

  #### Parameters

  - ##### selector: string

  #### Returns Array<INode>

### getAttribute

- getAttribute(qualifier: string): string | null

- Implementation of INode.getAttribute

  - Defined in lib/support/node.ts:143

  #### Parameters

  - ##### qualifier: string

  #### Returns string | null

### getChildWithId

- getChildWithId(): INode | null

- Implementation of INode.getChildWithId

  - Defined in lib/support/node.ts:269

  #### Returns INode | null

### getParentByClass

- getParentByClass(className: string): INode | undefined

- Implementation of INode.getParentByClass

  - Defined in lib/support/node.ts:253

  #### Parameters

  - ##### className: string

  #### Returns INode | undefined

### innerText

- innerText(text: undefined | string): INode

- Implementation of INode.innerText

  - Defined in lib/support/node.ts:218

  #### Parameters

  - ##### Optional text: undefined | string

  #### Returns INode

### onClick

- onClick(callback: function, options: AddEventListenerOptions): void

- - Defined in lib/support/node.ts:184

  #### Parameters

  - ##### callback: function

    - - (e: MouseEvent): void

      - #### Parameters

        - ##### e: MouseEvent

        #### Returns void

  - ##### Optional options: AddEventListenerOptions

  #### Returns void

### parent

- parent(): INode | null

- Implementation of INode.parent

  - Defined in lib/support/node.ts:224

  #### Returns INode | null

### removeAttributes

- removeAttributes(qualifiers: string[]): INode

- Implementation of INode.removeAttributes

  - Defined in lib/support/node.ts:136

  #### Parameters

  - ##### Rest qualifiers: string[]

  #### Returns INode

### removeChild

- removeChild(node: INode): void

- Implementation of INode.removeChild

  - Defined in lib/support/node.ts:228

  #### Parameters

  - ##### node: INode

  #### Returns void

### removeClasses

- removeClasses(classes: string[]): INode

- Implementation of INode.removeClasses

  - Defined in lib/support/node.ts:152

  #### Parameters

  - ##### Rest classes: string[]

  #### Returns INode

### setId

- setId(id: undefined | string): INode

- Implementation of INode.setId

  - Defined in lib/support/node.ts:240

  #### Parameters

  - ##### Optional id: undefined | string

  #### Returns INode

### setName

- setName(name: undefined | string): INode

- Implementation of INode.setName

  - Defined in lib/support/node.ts:234

  #### Parameters

  - ##### Optional name: undefined | string

  #### Returns INode

### setRequired

- setRequired(required: undefined | false | true): INode

- Implementation of INode.setRequired

  - Defined in lib/support/node.ts:246

  #### Parameters

  - ##### Optional required: undefined | false | true

  #### Returns INode

### setStyle

- setStyle(map: object): INode

- - Defined in lib/support/node.ts:211

  #### Parameters

  - ##### map: object

    - ##### [key: string]: string

  #### Returns INode

### toggle

- toggle(): void

- Implementation of INode.toggle

  - Defined in lib/support/node.ts:178

  #### Returns void

### toggleClass

- toggleClass(className: string): void

- Implementation of INode.toggleClass

  - Defined in lib/support/node.ts:170

  #### Parameters

  - ##### className: string

  #### Returns void

### unwrap

- unwrap(): HTMLElement

- Implementation of INode.unwrap

  - Defined in lib/support/node.ts:194

  #### Returns HTMLElement

Generated using TypeDoc